## wmlbrowser 0.7.20-1

=== debian/changelog ===
wmlbrowser (0.7.20-1) unstable; urgency=low

  * Updated to 0.7.20
  * Section changed from web (& user/WebAddons) to user/network
  * New maintainer
  * Updated description
  * Name changed to wmlbrowser from wmlbrowser-webaddon
  * Updated copyright file.
  * Provides & Replaces wmlbrowser-webaddon
  * Change wmlbrowser-engine to microb-engine in postinst
  * Removed shlibdeps
  * Added prompt to restart the browser.
  * Depend on maemo-installer-utils
  * Made postinst delete extensions.rdf to force browser to refresh extension list.

 -- Faheem Pervez <trippin1@gmail.com>  Mon, 19 Jan 2009 16:00:49 +0000

wmlbrowser-webaddon (0.7.15-1) unstable; urgency=low

  * Generated WMLBrowser debian package for Microb browser from:
      http://downloads.mozdev.org/wmlbrowser/wmlbrowser-0.7.15.xpi

 -- Oleg Romashin <romaxa@gmail.com>  Wed, 13 Jun 2007 14:46:10 +0300

wmlbrowser-webaddon (0.0.1-1) unstable; urgency=low

  * Initial release.

 -- Oleg Romashin <oleg.romashin@nokia.com>  Thu, 12 Apr 2007 21:13:51 +0300
