## wmlbrowser 0.7.20-2

=== debian/changelog ===
wmlbrowser (0.7.20-2) unstable; urgency=low

  * Remove "set -e" from postinst to stop shell quitting when "Cancel" is pressed in maemo-confirm-text 
  * Reformatted text displayed to maemo-confirm-text

 -- Faheem Pervez <trippin1@gmail.com>  Tue, 20 Jan 2009 15:43:31 +0000
