=== debian/control ===
Source: wmlbrowser
Section: user/network
Priority: optional
Original-Maintainer: Oleg Romashin <oleg.romashin@nokia.com>
Maintainer: Faheem Pervez <trippin1@gmail.com>
Build-Depends: debhelper (>= 4.0.0), unzip
Standards-Version: 3.6.0

Package: wmlbrowser
Section: user/network
Architecture: all
Depends: microb-eal, maemo-installer-utils
Provides: wmlbrowser-webaddon
Replaces: wmlbrowser-webaddon
XB-Maemo-Display-Name: Wmlbrowser
Description: WMLBrowser Web Addon.
 WMLBrowser is intended to try and implement as much of WML (Wireless Markup Language) 
 as possible in MicroB.
